[android-components](../../index.md) / [mozilla.components.service.fxa](../index.md) / [AccountObserver](index.md) / [onError](./on-error.md)

# onError

`abstract fun onError(error: `[`Exception`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-exception/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/FxaAccountManager.kt#L114)

Account manager encountered an error. Inspect [error](on-error.md#mozilla.components.service.fxa.AccountObserver$onError(java.lang.Exception)/error) for details.

### Parameters

`error` - A specific error encountered.